(*
 *  beware IRC services, authemailban.pas
 *  Copyright (C) 2002 Bas Steendijk
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)

{list of email user@host masks which one can't use to register an account}

unit authemailban;

interface

uses blinklist;

var
  emailbanlist:tstringlinklist;

procedure loademailban(const filename:string);
procedure saveemailban(const filename:string);

implementation

uses authbot,readtxt;

procedure loademailban(const filename:string);
var
  p:tstringlinklist;
  t:treadtext;
begin
  while emailbanlist <> nil do begin
    p := emailbanlist;
    linklistdel(tlinklist(emailbanlist),tlinklist(p));
    p.destroy;
  end;
  if not readtext_init(t,filename) then exit;
  while not readtext_eof(t) do begin
    p := tstringlinklist.create;
    linklistadd(tlinklist(emailbanlist),tlinklist(p));
    p.s := readtext_line(t);
  end;
  readtext_close(t);
end;

procedure saveemailban(const filename:string);
{var
  t:textfile;
  p:tstringlinklist;}
begin
  (*assignfile(t,filename);
  filemode := 2;
  {$i-}rewrite(t);{$i+}
  if ioresult <> 0 then exit;
  p := emailbanlist;
  while p <> nil do begin
    writeln(t,p.s);
    p := tstringlinklist(p.next);
  end;
  closefile(t);
  *)
  {i don't save this list now, because it cant be modified through bot commands}
end;

initialization
  emailbanlist := nil;
end.
