(*
 *  bserv, Internet Relay Chat services,
 *  Copyright (C) 2002 Bas Steendijk
 *
 *  some modifications by peter green
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)
program bserv;

uses
  {$I bots.inc}
  bservunit,
  bconfig,
  btime,
  bstuff,
  bsignal,
  pgdebugout,
  {$ifdef win32}
    bwinnt;
  {$else}
    unixsignals;
  {$endif}
  {$ifdef win32} // resource files are only supported on windows this is only
    {$R *.res}   // used to give the exe an icon
  {$endif}

  {names of units, do not remove -beware
  bworldbot authbot authaccount bconsts bparse b_burst buser bchannel wsocket
  bservicemngr bcrash
  }

begin
  {load core config files}
  getpath;
  randomize;
  debugout('about to call btime.init');
  btime.init;
  debugout('btime.init done');
  {$ifndef win32}
    unixsignals.init;
  {$endif}
  bconfig.init;

  if ircupper(paramstr(1)) = 'SIGNAL' then begin
    sendsignal2;
    halt;
  end;
  {$ifdef win32} //nt services only work on windows
    if ircupper(paramstr(1)) = 'INSTALL' then begin
      installservice;
      opt.runasservice := true;
      writecfg;
      halt;
    end;

    if ircupper(paramstr(1)) = 'UNINSTALL' then begin
      uninstallservice;
      opt.runasservice := false;
      writecfg;
      halt;
    end;
    if opt.runasservice then begin
      runservice;
      halt;
    end;
  {$endif}
  debugout('about to call initapplication');
  initapplication;
  debugout('initapplication complete');
  runapplication;
  cleanupapplication;
end.
